Interface Technology Basics VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups
Public Member Functions | List of all members
RefCounted Struct Reference

This struct implements reference counting for the `U::Implements` template. More...

`#include <funknownimpl.h>`

## Public Member Functions
| RefCounted ()=default
| RefCounted (const RefCounted &)
| RefCounted (RefCounted &&other) SMTG_NOEXCEPT
virtual | ~RefCounted ()=default
RefCounted & | operator= (const RefCounted &)
RefCounted & | operator= (RefCounted &&other) SMTG_NOEXCEPT
uint32 | addRef ()
uint32 | release ()

## Detailed Description

This struct implements reference counting for the `U::Implements` template.

It also provides a `queryInterface` method stub to support `queryInterface` call made in the `U::Implements` template.

## Constructor & Destructor Documentation

RefCounted | ( |  | ) |
| default

RefCounted | ( | const RefCounted & |  | ) |
| inline

RefCounted | ( | RefCounted && | other | ) |
| inline

virtual ~RefCounted | ( |  | ) |
| virtual default

## Member Function Documentation

RefCounted& operator= | ( | const RefCounted & |  | ) |
| inline

RefCounted& operator= | ( | RefCounted && | other | ) |
| inline

uint32 addRef | ( |  | ) |
| inline

uint32 release | ( |  | ) |
| inline

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.